all:
	gcc -I/usr/local/pgsql/include/server -c responseTrig.c
	gcc -shared -o response.so responseTrig.o
#test:
	gcc -I/usr/local/pgsql/include/server -c cfunctesting.c
	gcc -shared -o response.so cfunctesting.o

rand_graph_gen.so: rand_graph_gen.o
	gcc -shared -o rand_graph_gen.so rand_graph_gen.o


rand_graph_gen.o: rand_graph_gen.c pg_functions.c rand_graph_gen.h
	gcc -I/user/local/pgsql/include/server -c rand_graph_gen.c pg_functions.c rand_graph_gen.h

install:
	sudo cp response.so /usr/local/pgsql/lib
